#include "listserv.h"
#include "protos.h"

static char rcsid[] = "$Id: faq.c,v 1.1.1.8 1993/12/28 22:16:34 simons Exp simons $";

void sendfaq(char *from,
             char *command)
{
        int i;
        char grp[256], tmp[512];

        printf("called sendfaq with %s %s\n", from, command);
        i = sscanf(command, "%s%s", tmp, grp);
        if(i != 2)
                {
                sendhelp(from, command);
                return;
                }

        sprintf(tmp, "%s%s/FAQ", LISTDIR, grp);
        callmailer("", from, command);
        LockFile(tmp);
        if(access(tmp,R_OK) == 0) {
                UnLockFile(tmp);
                mailcat(tmp, "");
                fflush(mailer);
                pclose(mailer);
                return;
        }
        else {
                UnLockFile(tmp);
                fprintf(mailer, "There is no FAQ available for");
                fprintf(mailer, " mailing list \"%s\".\n", grp);
                fflush(mailer);
                pclose(mailer);
                return;
                }
        }


void faqindex(char *from,
              char *request)
{
        DIR *listdir;
        struct dirent *entry;
        char tmp[128];
        printf("called faqindex with %s %s\n", from, request);

        if (!(listdir = opendir(LISTDIR))) {
                perror(LISTDIR);
                exit(1);
        }

        callmailer("", from, request);
        fprintf(mailer, "------------------------ Index of available FAQs ---------------------\n");

        while (entry = readdir(listdir)) {
                sprintf(tmp, "%s%s/FAQ", LISTDIR, entry->d_name);
                LockFile(tmp);
                if (!access(tmp, R_OK))
                        fprintf(mailer, "%s\n", entry->d_name);
                UnLockFile(tmp);
        }
        closedir(listdir);

        fprintf(mailer, "----------------------------------------------------------------------\n");
        pclose(mailer);
        return;
}

